﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;

namespace Transparent_layer
{
    public partial class Form3 : Form
    {
        Bitmap bmp;
        public Form3(Bitmap bmp1)
        {
            InitializeComponent();
            this.bmp = bmp1;
            this.Width = bmp.Width;
            this.Height = bmp.Height;
            pictureBox1.Width = this.Width;
            pictureBox1.Height = this.Height;
        }

        private void Form3_Load(object sender, EventArgs e)
        {
            pictureBox1.Image = bmp;
        }

        string filename;

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Do You Want To Save This Picture?", "Save", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
            {
                saveFileDialog1.ShowDialog();
                filename = saveFileDialog1.FileName;
                switch (saveFileDialog1.FilterIndex)
                {
                    case 1:
                        bmp.Save(filename, ImageFormat.Jpeg);
                        break;
                    case 2:
                        bmp.Save(filename, ImageFormat.Png);
                        break;
                    case 3:
                        bmp.Save(filename, ImageFormat.Bmp);
                        break;
                    case 4:
                        bmp.Save(filename, ImageFormat.Gif);
                        break;
                    case 5:
                        bmp.Save(filename, ImageFormat.Icon);
                        break;
                    case 6:
                        bmp.Save(filename, ImageFormat.Tiff);
                        break;
                }
            }
            else
            {
                this.Close();
            }
            this.Close();
        }
    }
}
