using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DragPicture
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
          
        }

        private void picBoxSource_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left & picBoxSource.Image != null)
                    picBoxSource.DoDragDrop(picBoxSource.Image, DragDropEffects.All);
        }

        private void picBoxDest_DragEnter(object sender, DragEventArgs e)
        {
            if (e.Data.GetDataPresent(DataFormats.Bitmap))
                        e.Effect = DragDropEffects.Copy;
             else
                e.Effect = DragDropEffects.None;
        }

        private void picBoxDest_DragDrop(object sender, DragEventArgs e)
        {
            if (e.Data.GetDataPresent(DataFormats.Bitmap))
                  picBoxDest.Image = (Image)e.Data.GetData(DataFormats.Bitmap);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "bitmap files; jpg files|*.bmp; *.jpg";
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
                picBoxSource.Load(openFileDialog1.FileName);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.picBoxDest.AllowDrop = true;
        }
    }
}